{
  "name": "@tsg-dsp/common",
  "version": "0.3.1",
  "description": "TSG Dataspace Protocol Common",
  "author": "Maarten Kollenstart",
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/tno-tsg/dsp/common.git"
  },
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "prepare": "install-peers",
    "build": "tsup"
  },
  "main": "./dist/index.js",
  "module": "./dist/index.mjs",
  "types": "./dist/index.d.ts",
  "files": [
    "dist",
    "*.md"
  ],
  "peerDependencies": {
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.1",
    "reflect-metadata": "^0.1.14"
  },
  "peerDependenciesMeta": {
    "class-validator": {
      "optional": true
    },
    "class-transformer": {
      "optional": true
    }
  },
  "devDependencies": {
    "@jest/globals": "^29.7.0",
    "@types/jsonld": "^1.5.13",
    "install-peers-cli": "^2.2.0",
    "jest": "^29.7.0",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.2",
    "tslib": "^2.6.2",
    "tsup": "^8.0.1",
    "typescript": "^5.3.3"
  },
  "dependencies": {
    "jsonld": "^8.3.2",
    "uuid": "^9.0.1"
  }
}
